## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ReusableArenaBlock Class Template Reference

`#include <ReusableArenaBlock.hpp>`

Inheritance diagram for ReusableArenaBlock:

[legend]
Collaboration diagram for ReusableArenaBlock:

[legend]
List of all members.

## Public Types

- typedef ArenaBlockBase<ObjectType,
  SizeType> BaseClassType
- typedef BaseClassType::size_type size_type
- typedef ReusableArenaBlock<
  ObjectType, SizeType> ThisType

## Public Methods

- ReusableArenaBlock (MemoryManagerType &theManager, size_type theBlockSize)
- ~ReusableArenaBlock ()
- ObjectType* allocateBlock ()
- void commitAllocation (ObjectType *)
- void destroyObject (ObjectType *theObject)
- bool ownsObject (const ObjectType *theObject) const

## Static Public Methods

- ThisType* create (MemoryManagerType &theManager, size_type theBlockSize)

## Protected Methods

- bool shouldDestroyBlock (const ObjectType *theObject) const
- bool isOccupiedBlock (const NextBlock *block) const

### template<class ObjectType, class SizeType = unsigned short> class ReusableArenaBlock

## Member Typedef Documentation

template<class ObjectType, class SizeType = unsigned short>
typedef ArenaBlockBase< ObjectType, SizeType > ReusableArenaBlock<ObjectType, SizeType>::BaseClassType<ObjectType, SizeType>

template<class ObjectType, class SizeType = unsigned short>
typedef ReusableArenaBlock< ObjectType, SizeType > ReusableArenaBlock<ObjectType, SizeType>::ThisType<ObjectType, SizeType>

| Reimplemented from ArenaBlockBase.

template<class ObjectType, class SizeType = unsigned short>
typedef BaseClassType::size_type ReusableArenaBlock<ObjectType, SizeType>::size_type

| Reimplemented from ArenaBlockBase.

## Constructor & Destructor Documentation

template<class ObjectType, class SizeType = unsigned short>
ReusableArenaBlock<ObjectType, SizeType>::ReusableArenaBlock<ObjectType, SizeType> ( | MemoryManagerType & theManager,
| size_type theBlockSize )

template<class ObjectType, class SizeType = unsigned short>
ReusableArenaBlock<ObjectType, SizeType>::~ReusableArenaBlock<ObjectType, SizeType> ( | )

## Member Function Documentation

template<class ObjectType, class SizeType = unsigned short>
ObjectType * ReusableArenaBlock<ObjectType, SizeType>::allocateBlock ( | )

template<class ObjectType, class SizeType = unsigned short>
void ReusableArenaBlock<ObjectType, SizeType>::commitAllocation ( | ObjectType * )

template<class ObjectType, class SizeType = unsigned short>
ThisType * ReusableArenaBlock<ObjectType, SizeType>::create ( | MemoryManagerType & theManager,
| size_type theBlockSize )`[static]`

template<class ObjectType, class SizeType = unsigned short>
void ReusableArenaBlock<ObjectType, SizeType>::destroyObject ( | ObjectType * theObject )

template<class ObjectType, class SizeType = unsigned short>
bool ReusableArenaBlock<ObjectType, SizeType>::isOccupiedBlock ( | const NextBlock * block ) const`[protected]`

template<class ObjectType, class SizeType = unsigned short>
bool ReusableArenaBlock<ObjectType, SizeType>::ownsObject ( | const ObjectType * theObject ) const

template<class ObjectType, class SizeType = unsigned short>
bool ReusableArenaBlock<ObjectType, SizeType>::shouldDestroyBlock ( | const ObjectType * theObject ) const`[protected]`

The documentation for this class was generated from the following file:

- ReusableArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.